Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.types.imaker
Class ConfigurationSet

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              com.nokia.ant.types.imaker.ConfigurationSet

All Implemented Interfaces:
  java.lang.Cloneable

    public class ConfigurationSet

extends org.apache.tools.ant.types.DataType

Set of iMaker configuration.

     <hlm:imakerconfigurationset>
         <imakerconfiguration regionalVariation="true">
             <makefileset>
                 <include name="**/product/*ui.mk"/>
             </makefileset>
             <targetset>
                 <include name="^core$" />
                 <include name="langpack_\d+" />
                 <include name="^custvariant_.*$" />
                 <include name="^udaerase$" />
             </targetset>
             <variableset>
                 <variable name="TYPE" value="rnd"/>
                 <variable name="USE_FOTI" value="0"/>
                 <variable name="USE_FOTA" value="1"/>
             </variableset>
         </imakerconfiguration>
     </hlm:imakerconfigurationset>

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ConfigurationSet()`

Method Summary
`Configuration` | `createImakerConfiguration()` This method create an iMaker Configuration element.
`java.util.Vector` | `getImakerConfiguration()` Get the list of iMaker configuration.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, setChecked, setRefid, tooManyAttributes, toString`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationSet

    public ConfigurationSet()

Method Detail

### createImakerConfiguration

    public Configuration createImakerConfiguration()

  This method create an iMaker Configuration element.

### getImakerConfiguration

    public java.util.Vector getImakerConfiguration()

  Get the list of iMaker configuration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD